Ofte Stilte Spørsmål

Kan jeg bruke Mapbox-kart i Maps Marker Pro?

Mapbox-kart krever bruk av Mapsbox sin egen kartmotor, som er i konflikt med kartmotoren som pluginet vårt er basert på (Leaflet). På toppen av det er de nye Mapbox-kartene vektorkart, mens Maps Marker Pro bruker rasterkart. Vi har derfor ikke noen planer om å støtte de nye Mapbox Studio-kartene på dette tidspunktet. Du kan fortsette å bruke de klassiske stilene så lenge Mapbox gir dem, selv i versjon 4, ved å legge dem til som et tilpasset lag.

0
0
43
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Plugin kan ikke aktiveres - Fatal feil: Ikke fanget feil: Klasse 'MMP \ SPBAS' ble ikke funnet

Fatal feil: Ikke fanget feil: Klasse 'MMP \ SPBAS' ikke funnet i /wp-content/plugins/maps-marker-pro/classes/maps-marker-pro.php:111

Hvis du mottar feilen ovenfor ved aktivering av plugin, er det sannsynlig at serveren din har et sikkerhetslag (som mod_security) som resulterte i slettet på spesifikke tilslørte Maps Marker Pro-filer. Disse filene er tilslørt som standard for å beskytte lisensvalideringsmekanismen, og hvis sikkerhetssjiktet er konfigurert til strengt, kan disse filene feilaktig identifiseres som skadelig programvare.

For å fikse dette, må du oppdatere til v4.10 eller høyere. Hvis du fremdeles opplever problemer, kan du åpne en supportbillett.

For å fikse dette, vennligst kontakt hoster og be dem om å legge til følgende 3 filer i hvitelisten til sikkerhetslaget:

  • /wp-content/plugins/maps-marker-pro/classes/menu-license.php
  • /wp-content/plugins/maps-marker-pro/classes/shortcodes.php
  • /wp-content/plugins/maps-marker-pro/classes/spbas.php

Hvis dette er gjort, last ned nåværende plugin-pakke (henholdsvis versjonen du bruker fra utgivelsesarkivene våre hvis det ikke er den gjeldende) og laste opp de tre filene manuelt på nytt via FTP.

0
0
4751
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Google kartfliser vises ikke når du bruker avis-tema

Hvis du bruker temaet Avis tilgjengelig på Envato markeDet kan være slik at kartfliser for Google basemaps ikke er synlige:

Dette er forårsaket av temas stil.css - vi har allerede kontaktet supporten og håper at problemet snart vil bli løst med en ny utgivelse av Newspaper-temaet.

Inntil denne løsningen er tilgjengelig, kan du løse dette problemet ved å navigere til Avis / temapanel, velge kategorien "Tilpasset kode" og legge til følgende CSS i seksjonen "Tilpasset CSS":

body.td-animation-stack-type0 .td-animation-stack .entry-thumb,
body.td-animation-stack-type0 .post img {
    opacity: unset !important;
}

som et alternativ kan du også legge til følgende CSS:

.maps-marker-pro img {
    opacity: 1 !important;
}

0
0
5643
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Jeg kan ikke oppdatere et kart eller markør ettersom lagringsknappen er deaktivert

Hvis “Lagre” -knappen på kart- eller markørredigeringssidene er deaktivert og ikke kan klikkes på, er det sannsynlig at dette er forårsaket av en plugin-konflikt. For å bekrefte dette, deaktiver alle andre plugins, men ikke Maps Marker Pro, og prøv på nytt.

Hvis dette ikke hjelper, er det sannsynlig at det kan være et problem med det generelle WordPress AJAX-endepunktet. Se inn i nettleserkonsollen (kan for eksempel åpnes med tast F11) for å se om det er feilmeldinger. Send oss ​​disse feilmeldingene i a billettstøtte slik at vi kan se nærmere på.

0
0
10375
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Hvordan lage responsive kart

Som standard reagerer kart som er opprettet med Maps Marker Pro, noe som betyr at kartbredden tilpasser seg bredden på det overordnede HTML-elementet kartet er innebygd i. Dette resulterer f.eks i at kart endrer størrelse på mindre enheter for å passe til den tilsvarende bredden på mobilen enhet.

Hvis du vil deaktivere den responsive funksjonen for et kart, kan du åpne kartet på bakenden, bytte til kategorien "Interaksjon" og deaktivere alternativet "Responsiv":

0
0
10473
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Geokodingsfeil “OVER_QUERY_LIMIT”

Hvis du får feilen OVER_QUERY_LIMIT når du prøver å geokode en adresse med Google satt som leverandør av geokoding, betyr dette at du overskredet brukervilkårene for Google Maps-plattformen for nettjenester med:

  • sende for mange forespørsler per dag eller f.eks
  • sende forespørsler for raskt, dvs. for mange forespørsler per sekund

Ovennevnte problemer kan løses ved å kombinere to tilnærminger:

  1. Senke bruken ved å optimalisere applikasjoner for å bruke webtjenestene mer effektivt.
  2. Øke bruksgrensene, når det er mulig, ved å kjøpe tilleggsgodtgjørelse for Google Maps APIs for Work-lisensen.

Vi anbefaler at du logger deg på Google API-konsoll og sjekk og juster bruksgrensene dine der.

Som et alternativ kan du bytte til en annen leverandør av geokoding.

1
1
14307
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Ingen geokodingsresultater for en spesifikk adresse eller beliggenhet

Maps Marker Pro lar deg velge mellom forskjellige leverandører av geokoding som lar deg få de beste resultatene i henhold til dine behov. For en liste over tilgjengelige leverandører av geokodinger og instruksjoner om hvordan du aktiverer dem, ta en titt på https://www.mapsmarker.com/kb/article/geocoding/.

Vær oppmerksom på at hver leverandør av geokoding bruker forskjellige kilder med forskjellige oppdateringssykluser. Likevel kan det være at det ikke blir funnet noe resultat for en adresse, som definitivt eksisterer. Hvis dette er tilfelle for deg, vil vi anbefale å bytte til en annen leverandør av geokoding for å bekrefte om den nøyaktige adressen finnes der, f.eks. Ved å bruke rullegardinmenyen som viser alle aktive leverandører av geokoding:

Hvis det fremdeles ikke blir funnet noe resultat, kan du hjelpe alle OpenStreetMap-baserte geokodingstjenester (alle unntatt Google Geocoding) med å forbedre datasettet ved å sende inn adressen. Hvis du vil ha mer informasjon om hvordan du kan forbedre adressedataene for OpenStreetMap, kan du se på følgende nettsteder:

0
0
12866
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Slik aktiverer du de avanserte innstillingene for kart

Maps Marker Pro tilbyr mange alternativer du kan angi for kartene dine. For å beholde et smalt backend-grensesnitt er de avanserte innstillingene i kartredigeringsprogrammet deaktivert som standard, og skjuler alternativer som ofte bare er for avansert bruk:

Hvis du viser de avanserte innstillingene ved å slå på alternativknappen "Vis avanserte innstillinger", vil tilleggsinnstillinger vises for hver underfane i kartredigeringsskjermbildet. Eksempel for fanekart:

 

Når du veksler på denne knappen, lagres innstillingen automatisk, så neste gang du åpner kartredigeringsskjermen, blir innstillingen fra forrige gang gjenbrukt.

0
0
8014
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Hvordan tilordne en markør til et kart når du bruker GeoJSON-importøren

Hvis du vil tilordne en markør til et kart når du bruker GeoJSON-importfunksjonen, må du legge til kart-IDen til markøren i maps egenskapene-attributt. Eksempel der markør legges til kartene med ID 1 og 2:

 
{"type": "FeatureCollection", "features": [{"type": "Feature", "geometry": {"type": "Point", "coordinates": ["16.372500", "48.208300"]} , "properties": {"id": "56", "name": "Headquarters", "address": "Main Street", "zoom": "10.0", "icon": "", "popup": "Dette er vårt hovedkontor", "link": "",
                "maps": "1,2"
            }}]}

 

Hvis markøren ikke skal tilordnes noe kart når du bruker GeoJSON-importøren, kan du bruke verdien null

1
1
35992
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Feilen “Filtype er ikke tillatt av sikkerhetsmessige årsaker” når du prøver å laste opp en gpx-fil

WordPress 4.7.1 introduserte en feil som kan forårsake denne feilen. Vi har tatt med en løsning for dette i Maps Marker Pro v4.3, så oppdatering til den nyeste versjonen bør løse problemet.

Hvis du er på v4.3 eller nyere og fremdeles får denne feilen, er det mest sannsynlig et problem med selve GPX-filen. WordPress sjekker om innholdet i en fil samsvarer med den rapporterte MIME-typen og avviser opplastingen hvis de ikke gjør det. Siden GPX-filer teknisk sett er XML-filer, må en gyldig XML-overskrift være til stede. Dette betyr at når du åpner filen med et tekstredigeringsprogram, bør den første linjen se ut som denne:

<?xml version="1.0" encoding="UTF-8" ?>

Hvis det ikke er tilfelle, bør feilen løses ved å legge til linjen.

Alternativt, selv om det ikke anbefales av sikkerhetsgrunner, kan du deaktivere MIME-typen sjekk ved å legge til følgende kode i wp-config.php:

define('ALLOW_UNFILTERED_UPLOADS', true);

Hvis du fortsatt har problemer, vær så snill åpne en støtte billett og legg til GPX-filen.

3
0
8965
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Markørikonvinduet er overlappet av kart

Hvis du vil endre ikonet til en markør og ikonvinduet er skjult bak kartet når du klikker på "Endre" -knappen for ikoner, er dette vanligvis forårsaket av en plugin-konflikt (noen plugins følger ikke beste praksis og legger inn javascriptene sine og CSS-filer på hver administrasjonsside og ikke bare der det er behov for det.

Du kan enten finne og deaktivere pluginen som forårsaker dette, eller legge til følgende kode på slutten av
temaets funksjoner.php for å fikse dette:

/ * Maps Marker Pro - fikse for ikonmodal som skjules av andre plugins eller temaer ved hjelp av jquery ui * / function mmp_icon_modal_visibility_workaround () {$ current_screen = get_current_screen (); hvis (($ current_screen-> base == 'maps-marker-pro_page_mapsmarkerpro_marker') || ($ current_screen-> base == 'maps-marker-pro_page_mapsmarkerpro_map')) {echo ' .ui-dialog { z-index: 99999 !important; } '; }} add_action ('admin_head', 'mmp_icon_modal_visibility_workaround');
0
1
13429
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Hvordan avinstallere Maps Marker Pro

Hvis du vil avinstallere Maps Marker Pro, kan du logge inn med en administrasjonskonto til ditt WordPress-nettsted, navigere til plugins og deaktivere først Maps Marker Pro:

Klikk på “slett” som neste trinn:

Bekreft slettingen som neste trinn ved å klikke “OK” (oppmerksomhet: alle opprettede kart og markører vil også bli slettet, og det er ingen mulighet til å angre denne handlingen, med mindre du gjenoppretter en sikkerhetskopi!)

Hvis du også vil at din kundekonto og lisens på våre servere blir slettet, vennligst åpne en støtte billett.

0
0
8286
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Er Maps Marker Pro kompatibel med Gutenberg / WordPress 5.x?

Ja, Maps Marker Pro er kompatibel med WordPress 5 og den nye Gutenberg-redaktøren. For generelle minstekrav for Maps Marker Pro, vennligst se denne vanlige spørsmål.

For en fremtidig utgivelse planlegger vi også å legge til en tilpasset kartblokk, som lar deg enkelt søke og legge til kortkoder for kart (inntil da må du kopiere og forbi kortkoden for et kart i en blokk):

Trinn 1 - kopier kortkoden, f.eks. Fra kartredigeringssiden

Trinn 2 - lim kortkoden inn i Gutenberg-redigereren, noe som resulterer i at du automatisk oppretter en kortkodeblokk

0
0
8351
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

Analysefeil: syntaksfeil, uventet T_OBJECT_OPERATOR i maps-marker-pro.php

Plugin could not be activated because it triggered a fatal error.
Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /wp-content/plugins/maps-marker-pro/maps-marker-pro.php on line 66

Hvis du ser feilen ovenfor når du prøver å aktivere Maps Marker Pro, betyr dette vanligvis at PHP-versjonen som brukes på serveren din er for lav. 

Maps Marker Pro krever at minst PHP 5.4 skal fungere skikkelig, uansett ettersom PHP 5.4 allerede er utdatert og ikke mottar oppdateringer (inkludert sikkerhetsrettinger!) Lenger siden september 2015, anbefaler vi strengt tatt til en støttet for øyeblikket PHP-versjon (7.x).

For å fikse dette, kan du enten bytte PHP-versjonen gjennom hosting-kontrollpanelet hvis det er mulig, eller ta kontakt med din leverandørstøtte for å bytte PHP-versjonen for deg.

 

0
0
8934
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

"Bare for utviklingsformål" feil på Google-basiskart

Som standard bruker Maps Marker Pro OpenStreetMap for kart som kan brukes uten obligatorisk API-nøkkelregistrering. Hvis du bruker Google Maps, kan du oppleve følgende problem hvis Google API-nøkkeloppsettet var ufullstendig / feil:

Hvis du ser feilen "Kun for utviklingsformål" på kartet ditt ved hjelp av Google-basekart, kan du åpne nettleserkonsollen (f.eks. Ved å trykke på tasten F12 i Firefox eller Chrome) og bytte til "Konsoll" -fanen e for å se mer informasjon om feil:

I eksemplet over er feilen NoApiKeys, noe som betyr at den obligatoriske Google Maps Javascript API-nøkkelen mangler.

Uansett er de fleste feil relatert til Google Maps Javascript API-nøkkelen, som er nødvendig for å kunne vise Google Maps riktig.

Så for å fikse dette, fortsett som følger:

  1. sørg for at du har registrert en Google Maps Javascript API-nøkkel, se tutorial for detaljer. Forsikre deg også om at du har lagret kredittkortinformasjonen din i Google API-konsollen, som er nødvendig siden Google ToS endringer fra sommeren 2018.
  2. hvis feilen din er RefererNotAllowedMapError Kontroller trinn 6 på nytt tutorial og sørg for at du angir den aksepterte henviseren for domenet der kartet er innebygd er riktig konfigurert, som *.yourdomain.com/*

For alle andre feil, ta en titt på feilreferansen på https://developers.google.com/maps/documentation/javascript/error-messages#deverrorcodes hvor du også vil finne en mulig løsning.

Hvis dette fremdeles ikke hjelper, kan du åpne a billettstøtte og vi hjelper deg gjerne.

7
2
23955
Ranger dette vanlige svaret

Du har ikke lov til å rangere dette innlegget.

en English
X